



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>【Android进阶】SlidingMenu实现侧滑栏效果的实现</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">【Android进阶】SlidingMenu实现侧滑栏效果的实现</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-15 14:12:56 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<pre class="prettyprint linenums">public class MainActivity extends Activity {

	@Override<br />
	protected void onCreate(final Bundle savedInstanceState) {<br />
		super.onCreate(savedInstanceState);<br />
		setContentView(R.layout.activity_main);

		SlidingMenu menu = new SlidingMenu(this);<br />
		// 设置滑动方向<br />
		menu.setMode(SlidingMenu.LEFT);<br />
		// 设置监听开始滑动的触碰范围<br />
		menu.setTouchModeAbove(SlidingMenu.TOUCHMODE_FULLSCREEN);<br />
		// 设置边缘阴影的宽度，通过dimens资源文件中的ID设置<br />
		menu.setShadowWidthRes(R.dimen.shadow_width);<br />
		// 设置边缘阴影的颜色/图片，通过资源文件ID设置<br />
		menu.setShadowDrawable(R.drawable.shadow);<br />
		// 设置menu全部打开后，主界面剩余部分与屏幕边界的距离，通过dimens资源文件ID设置<br />
		menu.setBehindOffsetRes(R.dimen.slidingmenu_offset);<br />
		// 设置是否淡入淡出<br />
		menu.setFadeEnabled(true);<br />
		// 设置淡入淡出的值，只在setFadeEnabled设置为true时有效<br />
		menu.setFadeDegree(0.35f);<br />
		// 将menu绑定到Activity，同时设置绑定类型<br />
		menu.attachToActivity(this, SlidingMenu.SLIDING_WINDOW);<br />
		// 设置menu的layout<br />
		menu.setMenu(R.layout.slide_menu);<br />
		// 设置menu的背景颜色<br />
		 menu.setBackgroundColor(getResources().getColor(<br />
		 android.R.color.background_dark));<br />
		// 获取menu的layout<br />
		View menuroot = menu.getMenu();<br />
		//设置menu布局中控件的事件<br />
		Button button1 = (Button) menuroot.findViewById(R.id.Button1);<br />
		button1.setOnClickListener(new OnClickListener() {

			@Override<br />
			public void onClick(final View v) {<br />
				// TODO Auto-generated method stub<br />
				Log.i(&quot;click&quot;, &quot;button clicked&quot;);<br />
			}<br />
		});<br />
	}<br />
}</pre>
<p>SlidingMenu不需要在布局文件中进行排版，直接在需要SlidingMenu的界面进行绑定即可，代码中注释比较多，如有疑问，请留言</p>
<p><a href="http://yun.baidu.com/share/link?shareid=1655676811&amp;uk=2805318064" rel="external nofollow noreferrer">点击下载源代码</a></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/oqvvkyjq.html">Word Search</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qwljxy9.html">jQuery实现checkbox反选&lpar;转载&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8zpddd9.html">nohup命令浅析</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qy3lvg8.html">PHP5与MySQL数据库操作</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qnz3k2q.html">Linux-第一天</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e11zxm9.html">ext afteredit</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvo74xq.html">gulp解决RequireJS</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4y0x4eq.html">Linux下查看文件夹或目录大小</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4yr0knq.html">java初学者必看经典</a>
		</li>
						<li><a href="https://www.batexi.com/a/qde63rx9.html">javascript - Show mouse cursor in phantom&period;js - Stack Overflow</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1eed1q.html">Sipdroid实现SIP&lpar;二&rpar;&colon; 呼叫请求</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zk1z59.html">连接Oracle数据库的时候报了&OpenCurlyDoubleQuote;Got minus one from a read call&rdquo;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljvwxk9.html">Java开源博客My-Blog&lpar;SpringBoot&plus;Docker&rpar;系列文章</a>
		</li>
						<li><a href="https://www.batexi.com/a/90mk4en8.html">C&plus;&plus;实现引用和被引用对象分离</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdrwgy9.html">Socket 通讯原理</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7z4o0g9.html">opentack-openstack组件及功能（1）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gj1rre9.html">举例说明&dollar;POST 、&dollar;HTTP&lowbar;RAW&lowbar;POST&lowbar;DATA、php&colon;&sol;&sol;input三者之间的区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/93w14pwq.html">react-native-image-picker iOS设置</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjn4049.html">WebMagic之爬虫监控</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jm04gg9.html">django中的view测试和models测试样例</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qljmrz19.html">Cocos2dx项目启程一 之 封装属于我的精灵类</a>
			</li>
						<li><a href="https://www.batexi.com/a/qy1dk7dq.html">python六核心编程&mdash;&mdash;条件和循环</a>
			</li>
						<li><a href="https://www.batexi.com/a/qljm6369.html">浅析ArrayList&comma;LinkedList的执行效率</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2jjd4l8.html">POJ1201  差分约束</a>
			</li>
						<li><a href="https://www.batexi.com/a/93yyxwn8.html">用户手册User Guide的写法</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdppevzq.html">上传App时遇IDFA错误问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxkkk408.html">linux grep命令详解（转）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv112e1q.html">Android学习笔记四十Preference使用</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1kkrv69.html">hadoop版本号变迁</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zooy2nq.html">MySQL和Oracle开发差异</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
